#### testsuite Procedure ¶

The `testsuite` procedure is a multiplex call for retrieving or providing information about the current testsuite.

#### testsuite file ¶

The `testsuite file` command returns an absolute file name specified relative to either the testsuite source or object trees.

> `testsuite file ?-source|-object? -top|-test ?-hypothetical? ?--? name...`

Any number of names are accepted and combined as if by `file join` with a directory relevant to the testsuite prepended.

`-object`

  Return a file name in the object tree.

`-source`

  Return a file name in the source tree.

`-top`

  Prepend the `testsuite` directory itself.

`-test`

  Prepend the directory containing the current test script.

`-hypothetical`

  Allow the returned value to imply directories that do not exist.

`--`

  Use this option if the first name could begin with ‘`-`’.

One of `-top` or `-test` must be given; an error is raised otherwise.

Unless the `-hypothetical` option is given, any directories implied by the returned value will exist upon return. Implied directories are created in the object tree if needed. An error is raised if an implied directory does not exist in the source tree.

#### testsuite can call ¶

The `testsuite can call` command is a feature test and returns a boolean value indicating if a subcommand under a multiplex point is available. This API call is needed because only the multiplex points themselves are visible to the Tcl info command.

> `testsuite can call feature...`

Any number of words are joined together into a single name, beginning with a multiplex entry point and forming the full name of an API call as documented in this manual.